List Devices

List all devices. Only the synthId of each device is returned; call GET /api/v1/devices/{synthId} to retrieve a device's other properties.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Optional. Filter for a specific device by ID (also known as synthId).

string

Optional. Filter for a specific device by physical ID.

string

Optional. Filter for a specific device by its device reference.

string

Optional. Filter for devices by site ID.

string

Optional. Filter for devices by type.

string

Optional. Filter for devices by operation mode.

string

Optional. Filter for devices by provision stage.

string

Optional. Filter for devices by createdAt within the given interval.

string

Optional. Filter for devices in the given group.

states
array of strings

Filter for devices which have any of the given states within the interval specified in the stateInterval parameter. The states should be encoded as a comma-separated list of colon-separated states, e.g. connectivity:offline,fault:inverter_fault.

Valid type:value combinations are:

  • grid:offGrid — the device is disconnected from the grid.
  • grid:onGrid — the device is connected to the grid.
  • grid:notInstalled — the device does not have a grid connection installed.
  • grid:unknown — the device's grid connection status is unknown.
  • upgrade:upgradeInProgress — a firmware or software upgrade is in progress.
  • connectivity:offline — the device is offline.
  • connectivity:online — the device is online.
  • connectivity_ethernet:offline — the device's ethernet connection is offline.
  • connectivity_ethernet:online — the device's ethernet connection is online.
  • connectivity_wifi:offline — the device's Wi-Fi connection is offline.
  • connectivity_wifi:online — the device's Wi-Fi connection is online.
  • connectivity_cellular:offline — the device's cellular connection is offline.
  • connectivity_cellular:online — the device's cellular connection is online.
  • fault:<value> — the device has a fault; value is a free-form fault code, e.g. inverter_fault.
  • weatherAlert:on — a weather alert is currently active for the device.
  • weatherAlert:off — no weather alert is currently active for the device.
  • emergencyCharge:on — emergency charge is currently active.
  • emergencyCharge:off — emergency charge is not currently active.
  • backupOnWeatherAlerts:enabled — backup-on-weather-alerts is enabled.
  • backupOnWeatherAlerts:disabled — backup-on-weather-alerts is disabled.
  • weatherWatch:active — the device is currently backing up in response to a weather alert.
  • weatherWatch:enabled — weather-triggered backup is enabled but not currently active.
  • weatherWatch:disabled — weather-triggered backup is disabled.
  • evPluggedIn — an EV is currently plugged in (this state has no value).
states
string

Optional. Filter for devices whose states given in the states parameter fall within this interval. The interval may be now to indicate states which are still open no matter when they started.

integer
≤ 500

Optional. Specifies the maximum number of devices that should be returned. Max: 500.

string

Optional. Used to retrieve the next batch of results.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json